org.glassfish.jersey.server.model

## Class RuntimeResourceModel

- java.lang.Object
- - org.glassfish.jersey.server.model.RuntimeResourceModel

    public class RuntimeResourceModel
    extends Object

Runtime Resource model contains structured information about runtime resources.

Author:
  Miroslav Fuksa

### Constructor Summary

Constructors
Constructor and Description
`RuntimeResourceModel(List<Resource> resources)` Creates new runtime resource model from the list of resources.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<RuntimeResource>` `getRuntimeResources()` Get list of runtime resources from this model (excluding child resources which are accessible in the returned resources).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuntimeResourceModel

    public RuntimeResourceModel(List<Resource> resources)

Creates new runtime resource model from the list of resources.

Parameters:
  `resources` - List of all resource that should be base for the model.

### Method Detail

#### getRuntimeResources

    public List<RuntimeResource> getRuntimeResources()

Get list of runtime resources from this model (excluding child resources which are accessible in the returned resources).

Returns:
  List of runtime resources.